package invoice;

import java.util.Collection;
import java.util.Iterator;

/**
 * @author S.Chassande-Barrioz
 */
public class Invoice {
    private int number;
	private Address address = null;
	private Collection productUnits = null;

    public Invoice() {
    }

    public Invoice(int number, Address address, Collection productUnits) {
        this.number = number;
        this.address = address;
        this.productUnits = productUnits;
    }

    public String toString() {
        StringBuffer res = new StringBuffer();
        res.append("number:");
        res.append(number);
        res.append(" / address: (");
        res.append(address);
        res.append(") / productUnits: ");
        if (productUnits != null) {
            String sep = "";
            Iterator it = productUnits.iterator();
            if (it.hasNext()) {
                res.append("\n\t");
            }
            res.append("[");
            while(it.hasNext()) {
                res.append(sep);
                sep = ",\n\t";
                res.append('(');
                res.append((ProductUnits) it.next());
                res.append(')');
            }
            res.append("]");
        }
        return res.toString();
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public Address getAddress() {
        return address;
    }

    public void setAddress(Address address) {
        this.address = address;
    }

    public Collection getProductUnits() {
        return productUnits;
    }

    public void setProductUnits(Collection productUnits) {
        this.productUnits = productUnits;
    }
}
