/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package inheritance.horizontal.speedoid;

import java.util.Date;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class Person {
	private long personid;
	private String firstname;
	private String lastname;
	private Address address;
	private Date birthdate;

    public Person() {
    }
    public Person(String fn, String ln, Date bd) {
        this.firstname = fn;
        this.lastname = ln;
        this.birthdate = bd;
    }

	public Person(String firstname,
				  String lastname,
				  Address address,
				  Date birthdate) {
		this.firstname = firstname;
		this.lastname = lastname;
		this.address = address;
		this.birthdate = birthdate;
	}

	public String getFirstname() {
		return firstname;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	public String getLastname() {
		return lastname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public Address getAddress() {
		return address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public Date getBirthdate() {
		return birthdate;
	}

	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}
    public boolean equals(Object o) {
        return (o instanceof Person) && ((Person) o).personid == personid; 
    }
}
