/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.ant.jdo;

import java.util.ArrayList;

import org.apache.tools.ant.types.DTDLocation;
import org.objectweb.speedo.ant.AbstractEnhancerTask;
import org.objectweb.speedo.ant.AbstractEnhancerTask.Description;
import org.objectweb.speedo.generation.AbstractEnhancer;
import org.objectweb.speedo.generation.jdo.JDOEnhancer;

public class JDOEnhancerTask extends AbstractEnhancerTask {

    public AbstractEnhancer getEnhancer() {
        return new JDOEnhancer();
    }

    protected void initDefaultDescPath() {
        persistdesc.setDir(src);
        persistdesc.setIncludes("**/*.jdo");
    }

    public Description createJdopath() {
        Description d = new Description();
        this.persistdesc = d;
        d.setProject(getProject());
        return d;
    }

    protected void addDtdLocations(ArrayList al) {
        DTDLocation dljdo = new DTDLocation();
        dljdo.setPublicId("-//Sun Microsystems, Inc.//DTD Java Data Objects Metadata 1.0//EN");
        dljdo.setLocation("jdo.dtd");
        al.add(dljdo);    	
        DTDLocation dljdo2 = new DTDLocation();
        dljdo2.setPublicId("-//Sun Microsystems, Inc.//DTD Java Data Objects Metadata 2.0//EN");
        dljdo2.setLocation("jdo.dtd");
        al.add(dljdo2);    	
    }
}
