/**
 * perseus/connector: this is an implementation of some JCA-related technologies
 * (resource adapters and managers) for the ObjectWeb consortium.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.jca;

/**
 * @author	P. Dechamboux
 */
public class SpeedoConnection {
    protected final static String NO_ACTIVE_CONNECTION = 
        "The JDO connection should be active!!";
    
	/**
	 * The ManagedConnection associated with this Connection.
	 */
	protected SpeedoManagedConnection managedConnection = null;

	/**
	 * Initializes a Connection to be linked with a ManagedConnection.
	 * @param mc	The ManagedConnection to be linked to.
	 */
	void initialize(SpeedoManagedConnection mc) {
		managedConnection = mc;
	}
}
