/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */
package org.objectweb.speedo.jmx.mbeans;

import java.util.Collection;

import org.objectweb.perseus.cache.api.CacheException;
import org.objectweb.speedo.query.api.QueryManagerAttribute;

/**
 * Defines the MBean view aggregating attributes about the management of queries
 *
 * @author S.Chassande-Barrioz
 */
public interface QueryMBean extends QueryManagerAttribute {

    String getCompiledQueryCache_AutoCleanSize();
    String getCompiledQueryCache_AutoCleanThreshold();
    Collection getCompiledQueryCache_ObjectIdentifiers();
    int getCompiledQueryCache_CurrentSize();
    int getCompiledQueryCache_MaxObjects();
    void setCompiledQueryCache_AutoCleanSize(String size);
    void setCompiledQueryCache_AutoCleanThreshold(String size);
    void setCompiledQueryCache_MaxObjects(int size) throws IllegalArgumentException,
            CacheException;

    /**
     * Evicts all entries from the compiled query cache.
     */
    void evictAllCompiledQueriesFromCache();
}
