/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.objectweb.speedo.locale;

import java.util.ListResourceBundle;

public class SpeedoResources extends ListResourceBundle {
	protected Object[][] getContents() {
		return contents;
	}
	
	static final Object[][] contents = {
		// LOCALIZE THIS
		// org.objectweb.fractal.adl.Factory.AbstractSpeedo
		{"start", " is starting ..."},
		{"ready", " is ready."},
		{"pmreused", "PM reused with imbricated PMF.getPM()"},
		{"speedused", ": Speedo is used "},
		{"managed", "in a managed environnement"},
		{"standalone", "in stand alone"},
		{"tmspec", ": no value specified, use a well known application server"},
		{"txlisten", "Impossible to instanciate the specified TransactionListener"},
		{"txconcmgt", "Transaction/Concurrency management: "},
		{"dbpessim", " with concurrency delegated to the database, Speedo supports only pessimitic policy currently (optimitic => pessimistic)"},
		{"optim", "Optimistic"},
		{"pessim", "Pessimitic"},
		{"concdeleg", ", delegated to database"},
		{"concspeed", ", managed by Speedo"},
		{"lockpol", ", locking policy="},
		{"thinlock", "Speedo pessimistic thin locking level: enabled"},
		{"thlklvl", ", with thin locking level"},
		{"prefetch", "Data prefetching: "},
		{"NONE", "NONE"},
		{"QUERY", "QUERY"},
		{"EXTENT", "EXTENT"},
		{"COLLECTION", "COLLECTION"},
		{"ignjdbcinfo", "Ignoring direct JDBC access information (driver, url, user, password)"},
		{"ignconninfo", "Ignoring connection pool configuration(min, max, ttl, timeout)"},
		{"connfact", "Data source access through a connection factory found in JNDI:"},
		{"jndinm", "\n\tjndi name: "},
		{"factfound", "\n\tconnection factory found: "},
		{"mappernm", "\n\tmapper name: "},
		{"property", "Property"},
		{"deprecuse", " is deprecated, you must use "},
		{"jdbcdrv", "Data source access through a jdbc driver:"},
		{"driver", "\n\tdriver= "},
		{"url", "\n\turl= "},
		{"user", "\n\tuser= "},
		{"noconnchk", "No connection checking at start up!"},
		{"unexpprop", "Unexpected value for property '"},
		{"pfound", "', found: '"},
		{"pexpect", "', expected ["},
		{"datast", "Data Structure: "},
		{"badhttp", "Bad HTTP port for the administration console: "},
		{"jmxactiv", "JMX activated"},
		{"jmxhttp", "JMX and HTTP console on port '"},
		{"forhost", "' for host "},
		{"activated", " activated"},
		// END OF MATERIAL TO LOCALIZE
	};
}
