/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.mim.api;

import org.objectweb.fractal.api.control.AttributeController;
import org.objectweb.speedo.lib.Personality;

/**
 *
 * @author S.Chassande-Barrioz
 */
public interface MemoryInstanceManagerAttribute
        extends AttributeController {

    /**
     * @return a String describing the genclass names with the following format:
     * "(jorm_name,java_name),(jorm_name,java_name),(jorm_name,java_name)}"
     */
    String getGenClassNames();

    /**
     * It assignes a description of the gen class names.
     * @param gcname is the desciption which must follow this format:
     * "(jorm_name,java_name),(jorm_name,java_name),(jorm_name,java_name)}"
     */
    void setGenClassNames(String gcname);
    
	/**
	 * @return the Personality instance desribing Speedo.
	 */
    Personality getPersonality();
	/**
	 * @param personality is the Personality instance desribing Speedo.
	 */
    void setPersonality(Personality personality);


}
