/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2006 France Telecom
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 */

package org.objectweb.speedo.query.ejb;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import javax.persistence.FlushModeType;
import javax.persistence.Query;
import javax.persistence.TemporalType;

import org.objectweb.speedo.pm.api.POManagerItf;
import org.objectweb.speedo.query.api.CompiledQuery;
import org.objectweb.speedo.query.api.QueryManager;
import org.objectweb.util.monolog.api.Logger;

/**
 * EJBQuery is the basic implementation of the javax.persistence.Query interface.
 * This class is just a wrapper to a SpeedoCompiledQuery object which is a
 * reused object.
 *
 * @author	S. Chassande-Barrioz, P. Dechamboux
 */
public class EJBQuery implements Query {
    /**
     * 
     */
    private static final long serialVersionUID = 3412369898739619393L;
    /**
     * The queryManager object is used to create or return a CompiledQuery
     * object.
     */
    private QueryManager queryManager = null;
    /**
     * Logger for monolog.
     */
    private Logger logger = null;
    private boolean hasChanged = true;
    private List results;
    /**
     * sQueryCompiler is the query, this object can compile and execute the
     * query. This object is reused in the past, or future.
     */
    private CompiledQuery qc = null;	
    public EJBQuery() {
	    //super();
        results = new ArrayList(1);
    }

	public void setLogger(Logger logger) {
		this.logger = logger;
	}

    public QueryManager getQueryManager() {
        return queryManager;
    }

    public void setQueryManager(QueryManager aqm) {
        queryManager = aqm;
    }

    public CompiledQuery getQueryCompiler() {
        return qc;
    }

    public void setQueryCompiler(CompiledQuery aqc) {
        qc = aqc;
    }

    public void setPOManager(POManagerItf apm) {
        //pm = apm;
    }

    public void defineWith(String query) {
        //TODO: support query definition a single string
    }

    // IMPLEMENTATION OF THE Query INTERFACE //
    //---------------------------------------//

	public int executeUpdate() {
		// TODO Auto-generated method stub
		return 0;
	}

	public List getResultList() {
		// TODO Auto-generated method stub
		return null;
	}

	public Object getSingleResult() {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setFirstResult(int arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setFlushMode(FlushModeType arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setHint(String arg0, Object arg1) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setMaxResults(int arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setParameter(int arg0, Calendar arg1, TemporalType arg2) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setParameter(int arg0, Date arg1, TemporalType arg2) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setParameter(int arg0, Object arg1) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setParameter(String arg0, Calendar arg1, TemporalType arg2) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setParameter(String arg0, Date arg1, TemporalType arg2) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query setParameter(String arg0, Object arg1) {
		// TODO Auto-generated method stub
		return null;
	}
}
