/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.tools;


/**
 *
 * @author S.Chassande-Barrioz
 */
public class StringReplace {
	public static String replaceChar(char oldChar, char newChar, String s) {
		char[] cs = s.toCharArray();
		for (int i = 0; i < cs.length; i++) {
			if (cs[i] == oldChar) {
				cs[i] = newChar;
			}
		}
		return new String(cs);
	}
    public static String replaceString(String old, String neo, String str) {
        if (str == null || str.length() == 0) {
            return str;
        }
        int i = 0;
        int oldSize = old.length();
        int neoSize = neo.length();
        StringBuffer sb = new StringBuffer(str);
        int begin = 0;
        int idx = sb.indexOf(old, begin);
        while(idx != -1) {
            sb.delete(idx, idx + oldSize);
            sb.insert(idx, neo);
            begin = idx + neoSize;
            if (begin < sb.length()) {
                idx = sb.indexOf(old, begin);
            } else {
                idx = -1;
            }
        }
        
        return sb.toString();
    }

    public static String toJavaPattern(String str) {
        str = StringReplace.replaceString("(", "\\(", str);
        str = StringReplace.replaceString(")", "\\)", str);
        str = StringReplace.replaceString(".", "\\.", str);
        str = StringReplace.replaceString("*", ".*", str);
        str = StringReplace.replaceString("?", ".?", str);
        return str;
    }
}
